> ## Documentation Index
> Fetch the complete documentation index at: https://thenile.dev/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Close a subscription row at given time (now if omitted)



## OpenAPI

````yaml https://global.thenile.dev/openapi.yaml delete /workspaces/{workspaceSlug}/subscription/{subscriptionId}
openapi: 3.0.1
info:
  title: Nile ReST API
  description: Making SaaS chill.
  contact:
    email: support@thenile.dev
  version: 0.1.0-1133318
servers:
  - url: https://global.thenile.dev
security: []
paths:
  /workspaces/{workspaceSlug}/subscription/{subscriptionId}:
    delete:
      tags:
        - workspaces
      summary: Close a subscription row at given time (now if omitted)
      operationId: close
      parameters:
        - name: workspaceSlug
          in: path
          required: true
          schema:
            type: string
        - name: subscriptionId
          in: path
          required: true
          schema:
            type: string
            format: uuid
      responses:
        default:
          description: default response
          content:
            application/json: {}
      security:
        - jwtBearerAuth: []
components:
  securitySchemes:
    jwtBearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````